teamviewer.com link icon
or
Ask The Community

Teamviewer can't connect to older version??

A client was trying to connect to her work computer this morning.  It told her that her local TV12 needed to be updated to a newer version...so she proceeded to allow it to update to version 14.

After updating, when she tried to connect into her work computer, it told her that the *work* computer needed to be updated!  Obviously she cannot do that remotely...

I was able to login with my TV and saw the TV version was 12.  I proceeded to upgrade to v14 and now she can connect.

This is not an anomaly as it happened to two other clients last week as well.

TV was always able to connect with a newer version into an older version.

Please fix your ridiculously buggy software guys.  Don't appreciate shelling out all this money for junkware...

Comments

  • JeanK
    JeanK Posts: 4,171 Moderator

    Hello @afeudale,

    Thank you for your message.

    You will find all the information about where we are asking our users to update their software here: Enjoy using the best version of TeamViewer we made so far! - How to proceed?

    We understand that a dysfunctional might generate some frustration, but I politely ask you to stay respectful towards the hard work our developers and support do every single day. I thank you in advance for respecting our Community guidelines.

    Best

    Jean

    French Community Moderator
  • afeudale
    afeudale Posts: 42

    So is this a "forced" upgrade to the latest TV14?

    What happens if a user with TV14 is trying to connect into an older version, like v12 above?  It will fail?

    TV has always been of the opinion that newer versions should be able to connect into older versions.

    Is this another money-grab by TV trying to get everyone on the latest version?

  • I've installed TeamViewer 14.6 from the very same install file on two desktop computers connected via LAN. One's running 64-bit Windows 10 Pro 1903 and the other runs 64-bit Windows 7 Pro. But every time I try to connect -- from either side -- I get this error message:

    The remote TeamViewer is running an old version which is out of date. Therefore you cannot connect to this Version anymore.
    Your connection partner can update TeamViewer by clicking on "Help" - "Check for new version".

    When I check for a new version, it always tells me I'm using the latest version (on both sides).

    What's going wrong? How do I fix it?

    Thanks

  • Thanks, it's working now, It didn't work the first time I uninstalled and then re-installed, so I went the extra mile and used both Revo Uninstaller 4 Pro and Total Uninstall 6 to remove any previous data. Then I scoured the registry for "teamviewer" and deleted everything in there as well.

    After a reboot, it started working.  Horray, and thanks for your help

  • Imo
    Imo Posts: 1

    I cant access my remote desktop  physically with tv. And no one else can. So how to force the tv installed in it to upgrade if i cant access it to enable the update manually??

    You need to provide a solution

  • Hi

    Is there a solution available to this issue? I have a machine which I believe is running v13 and of which I do not have physical access to. 

    I tried a suggestion in another post which said to use QuickJoin in v11 however I could not connect as I didn't have a meeting ID.

    I've tried installing earlier versions of TV on my own machine however all versions I've tried (v12 & v13) show the same error, that the remote machine is running an outdated version and it cannot connect.

    Many thanks,

    Carl916

  • Hello,

    I am running TV 9 on two computers;

    1. imac running os 10, 
    2. PC running win. 10 home

    TV on each computer indicates is ready to connect, however when attempting a connection from either direction, the message is remote computer is running an older version and needs to update.

    I have also set each computer as "trusted".

    Please advise how to correct this problem.

    Thank you,

    Peter

  • JeanK
    JeanK Posts: 4,171 Moderator

    Hello @Peter_Berdos

    Thank you for your message. ?

    Only customers who bought TeamViewer 9 are able to connect use this version.

    If you are using the free version, you must update your TeamViewer clients to the latest version.

    You will find all the information you need in our Knowledge Base article here: Enjoy using the best version of TeamViewer we made so far! - How to proceed? 

    Note: If your hardware is not compatible with the latest version, there is nothing we can do to make the free version work. We thank you in advance for your understanding.

    I hope this could help. ?

    Best,

    Jean

    French Community Moderator
  • TekFrank
    TekFrank Posts: 2 ✭✭

    So convenient to have to uninstall the old version when the remote computer is located thousand miles away...


    Great job TW ! Luckily I didn't pay to use it, but I am sure to find an alternative as fast as possible !

  • TekFrank
    TekFrank Posts: 2 ✭✭

    So convenient to have to uninstall the old version when the remote computer is located thousand miles away...


    Great job TW ! Luckily I didn't pay to use it, but I am sure to find an alternative as fast as possible !

  • Keith_0117_ENO
    Keith_0117_ENO Posts: 0

    Yeah I just wasted a TON of time trying to figure out what was going on and download previous versions. The remote computer is only accessible once a year due to it's location. Maybe if TeamViewer respected our time as much as they want us to respect them.. people wouldn't be leaving them. My view of TeamViewer is now poor and I will be moving on to one of the many alternatives out there.

  • Andy_Ramsay
    Andy_Ramsay Posts: 1 Newbie
    edited March 3

    This is a mess. I have a Business license and have Version 12.0.259142 dated Feb 5 2012 on both the remote client and my PC and get a "Older version" error.. Ironically I have V 12.0.259024 dated Nov 17th 2020 on my laptop that WILL connect. So tell me how an older version WILL connect to the newer version, but the two on the same version don't. This has been going on for over a week now.

    Looking at the dates you obviously changed the executable and broke it and there is no way to find the older version WHICH I PAID FOR!!

    I have a business license because I maintain 5 servers that are thousands of miles away and because of you trying to force upgrades I can't connect to 3 of those servers anymore and if you think I'm going to fork over minimum of 60 bucks a month when I have a lifetime V12 license you're insane.

    Fix your **bleep**!!!

  • Jake2424
    Jake2424 Posts: 1 Newbie

    I paid over $850 for an enterprise license for version 12. I was told it works for a lifetime.

    Im installing my version 12 client on PC's, and imeadiatly told I can't connect to them because, they are running an old version.


    Love to hear the fake explanation behind this.

Sign In or Register to comment.